Skip to content

Clients ​

Endpoints for accessing client data.

Client list ​

GET /api/v1/Client/Simple

Returns a paginated list of clients with basic information.

Parameters ​

ParameterTypeRequiredDefaultDescription
Pageintno1Page number
PageSizeintno25Number of records per page (max. 100)

Response ​

FieldTypeDescription
PageintCurrent page
PageSizeintNumber of records per page
ResultsClientItem[]List of clients

ClientItem ​

FieldTypeDescription
IdClientuuidClient identifier
FullNamestringClient full name
PersonalIdstringPersonal ID or other identifier
PhonestringPhone number
EmailstringEmail address

Extended client list ​

GET /api/v1/Client/Extended

Returns a paginated list of clients with extended information and filtering support.

Parameters ​

ParameterTypeRequiredDescription
PageintnoPage number (default 1)
PageSizeintnoNumber of records per page, max. 100 (default 25)
ActiveboolnoFilter by client activity (true = active, false = inactive). Defaults to true when omitted.
FilterstringnoFull-text search (name, email, phone, etc.)
IdStaffuuidnoFilter by assigned staff member
IdLocationuuidnoFilter by location

Response ​

FieldTypeDescription
PageintCurrent page
PageSizeintNumber of records per page
ResultsClientItem[]List of clients

ClientItem ​

FieldTypeDescription
IdClientuuidClient identifier
FullNamestringClient full name
ActiveboolWhether the client is active
PersonalInfoClientPersonalInfoPersonal details of the client
ContactInfoClientContactInfoContact details of the client

ClientPersonalInfo ​

FieldTypeDescription
FirstnamestringFirst name
LastnamestringLast name
EducationstringTitle before name
EducationAfterstringTitle after name
PersonalIdstringPersonal ID or other identifier
DateOfBirthdatetimeDate of birth

ClientContactInfo ​

FieldTypeDescription
PhonestringPhone number
EmailstringEmail
StreetstringStreet
CitystringCity
PoststringZIP code

Client detail ​

GET /api/v1/Client/Detail/{idClient}

Returns detail of a specific client.

Path parameters ​

ParameterTypeRequiredDescription
idClientuuidyesClient identifier

Response ​

SectionDescription
PersonalInfoPersonal details (name, personal ID, date of birth, gender)
ContactInfoContact and address details
StaffAssigned doctor
LocationClient location
InsuranceHealth insurance provider
MedicalAllergies and medication
StatusClient status (active / inactive)
TagsClient tags

Client appointments ​

GET /api/v1/Client/{idClient}/Appointments

Returns the latest past and upcoming future appointments of the client.

Availability

Client appointments are available only for Business and Enterprise plans.

Path parameters ​

ParameterTypeRequiredDescription
idClientuuidyesClient identifier

Query parameters ​

ParameterTypeRequiredDefaultDescription
PreviousLimitintno10Number of previous appointments, max. 50
FutureLimitintno10Number of future appointments, max. 50

Response ​

FieldTypeDescription
PreviousAppointmentsAppointmentItem[]Previous appointments
FutureAppointmentsAppointmentItem[]Future appointments

AppointmentItem ​

FieldTypeDescription
AppointmentAppointmentInfoAppointment details
ClientAppointmentClientClient details
StaffAppointmentStaffStaff details
ServiceAppointmentServiceService details

AppointmentInfo ​

FieldTypeDescription
IdAppointmentuuidAppointment identifier
StartDatedatetimeAppointment start
EndDatedatetimeAppointment end
DescriptionstringAppointment description
StatusstringAppointment status
OnlineBookedboolBooked online
ConfirmedboolConfirmed appointment

AppointmentClient ​

FieldTypeDescription
IdClientuuidClient identifier
ClientNamestringClient name from appointment

AppointmentStaff ​

FieldTypeDescription
IdStaffuuidStaff identifier
StaffNamestringStaff name

AppointmentService ​

FieldTypeDescription
IdServiceuuidService identifier
ServiceCaptionstringService name

Error states ​

StatusCodeDescription
404CLIENT_NOT_FOUNDClient with the given idClient does not exist